"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const style = require("../../../utils/dom/style.js");
const index = require("../../../hooks/use-locale/index.js");
const index$1 = require("../../../hooks/use-namespace/index.js");
const empty = require("./empty.js");
const imgEmpty = require("./img-empty.js");
const Vue = require("vue");
const _hoisted_1 = ["src"];
const _hoisted_2 = { key: 1 };
var empty_vue_vue_type_script_setup_true_lang_default = /* @__PURE__ */ Vue.defineComponent({
  name: "ElEmpty",
  __name: "empty",
  props: empty.emptyProps,
  setup(__props) {
    const props = __props;
    const { t } = index.useLocale();
    const ns = index$1.useNamespace("empty");
    const emptyDescription = Vue.computed(() => props.description || t("el.table.emptyText"));
    const imageStyle = Vue.computed(() => ({ width: style.addUnit(props.imageSize) }));
    return (_ctx, _cache) => {
      return Vue.openBlock(), Vue.createElementBlock("div", { class: Vue.normalizeClass(Vue.unref(ns).b()) }, [
        Vue.createElementVNode("div", {
          class: Vue.normalizeClass(Vue.unref(ns).e("image")),
          style: Vue.normalizeStyle(imageStyle.value)
        }, [__props.image ? (Vue.openBlock(), Vue.createElementBlock("img", {
          key: 0,
          src: __props.image,
          ondragstart: "return false"
        }, null, 8, _hoisted_1)) : Vue.renderSlot(_ctx.$slots, "image", { key: 1 }, () => [Vue.createVNode(imgEmpty.default)])], 6),
        Vue.createElementVNode("div", { class: Vue.normalizeClass(Vue.unref(ns).e("description")) }, [_ctx.$slots.description ? Vue.renderSlot(_ctx.$slots, "description", { key: 0 }) : (Vue.openBlock(), Vue.createElementBlock("p", _hoisted_2, Vue.toDisplayString(emptyDescription.value), 1))], 2),
        _ctx.$slots.default ? (Vue.openBlock(), Vue.createElementBlock("div", {
          key: 0,
          class: Vue.normalizeClass(Vue.unref(ns).e("bottom"))
        }, [Vue.renderSlot(_ctx.$slots, "default")], 2)) : Vue.createCommentVNode("v-if", true)
      ], 2);
    };
  }
});
exports.default = empty_vue_vue_type_script_setup_true_lang_default;
